Bug 1261290 - Snapshot: Disabling shared storage when one or more storage node is down in cluster, should not be allowed
Snapshot: Disabling shared storage when one or more storage node is down in c...
Status: CLOSED DEFERRED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot (Show other bugs)
3.1
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: rjoseph
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 03:03 EDT by Anil Shah
Modified: 2016-09-17 09:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-05 04:57:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anil Shah 2015-09-09 03:03:12 EDT
Description of problem:

When one or more storage node is down in cluster, disabling shared storage deletes shared storage volume, however when storage node comes up, shared storage volume is created again and Cluster.enable-shared-storage is disabled. 

Which will mislead the user.

Version-Release number of selected component (if applicable):

[root@darkknight ~]# rpm -qa | grep glusterfs
glusterfs-libs-3.7.1-14.el7rhgs.x86_64
glusterfs-fuse-3.7.1-14.el7rhgs.x86_64
glusterfs-3.7.1-14.el7rhgs.x86_64
glusterfs-api-3.7.1-14.el7rhgs.x86_64
glusterfs-cli-3.7.1-14.el7rhgs.x86_64
glusterfs-geo-replication-3.7.1-14.el7rhgs.x86_64
glusterfs-client-xlators-3.7.1-14.el7rhgs.x86_64
glusterfs-server-3.7.1-14.el7rhgs.x86_64


How reproducible:

100%

Steps to Reproduce:
1. Create shared storage e.g gluster volume set all cluster.enable-shared-storage disable
2. bring down one or two storage nodes, which hosts shared storage bricks
3. disable shared storage e.g gluster volume set all cluster.enable-shared-storage disable
4. Bring up the the storage nodes

Actual results:

When storage nodes comes up, Shared storage volume is created again and gluster volume info shows cluster.enable-shared-storage disable.

Expected results:

TBD

Additional info:
Comment 2 rjoseph 2016-01-05 04:57:27 EST
This is an existing architecture problem with Glusterd. If volume is deleted when nodes are down then this scenario could occur. This problem will be addressed in Gluterd 2.0. Therefore we are not planning to address this in the current release.

Some aspect of this bug is been addressed in the following bug:
https://bugzilla.redhat.com/show_bug.cgi?id=1291262

Note You need to log in before you can comment on or make changes to this bug.